/** Elementor Editor Mode **/
body.elementor-editor-active {
  background: #000;
}

/** Frontend Mode **/
/* Components */
.elementor-button {
  border-color: var(--e-global-color-primary);
  background-color: var(--e-global-color-primary);
}

.e-n-menu-dropdown-icon {
  background: #ffffff0a !important;
  padding: 0.5rem !important;
  border-radius: 999em !important;
  width: 3rem !important;
  align-items: center !important;
}

.elementor-button-text small {
  display: inline-block;
  text-transform: initial;
  font-weight: 500;
}

.btn-xxl {
  .elementor-button-content-wrapper {
    display: inline-block;
    min-height: 6rem;
    align-content: center;
    align-items: center;
  }

  &:has(small) .elementor-button-text {
    display: flex;
    flex-direction: column;
    gap: 4px;
  }
}

.btn-xl {
  .elementor-button-content-wrapper {
    min-height: clamp(3rem, calc(3rem + ((1vw - 3.2px) * 0.625)), 4rem);
    align-content: center !important;
    align-items: center;
    /* display: inline-flex;
    justify-content: center; */
  }

  &:has(small) .elementor-button-text {
    display: flex;
    flex-direction: column;
    gap: 3px;
  }
}

.text-small-grid {
  .elementor-widget-container {
    font-size: clamp(0.875rem, 0.875rem + 0vw, 0.875rem);
  }
}

.btn-md {
  .elementor-button-content-wrapper {
    min-height: clamp(1.8rem, 0.375vi + 1.8rem, 2.4rem);
    align-content: center !important;
    align-items: center;
    /* display: inline-flex;
    justify-content: center; */
  }

  &:has(small) .elementor-button-text {
    display: flex;
    flex-direction: column;
    gap: 3px;
  }
}

/* slider bullets */
.slider-bullet--flat .swiper-pagination .swiper-pagination-bullet {
  max-height: 0.5rem;
  border-radius: 25px;
}

/* Helpers */
:root {
  --bg-color-blur: rgba(255, 255, 255, 0.18);
  --blur-base: 30px;
  --radius-main: 30px;

  @media screen and (max-width: 1024px) {
    --radius-main: 10px;
  }
}

.vh-full {
  /* --min-height: calc(
    min(100svh, 100svw) - var(--header-height, 110px)
  ) !important; */
  --min-height: calc(100svh - var(--header-height, 110px)) !important;
  /* --min-height */
}

/* body:has(#main-menu--nav .elementor-menu-toggle.elementor-active) {
  overflow: hidden;
} */
/* Development */
body:is(.elementor-editor-preview) .page-header {
  display: none;
}

/* WPML */
.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle {
  background: transparent;
}

.wpml-ls-legacy-dropdown>ul, .wpml-ls-legacy-dropdown, .wpml-ls-legacy-dropdown {
  width: max-content;
}

body .wpml-ls-legacy-dropdown .wpml-ls-current-language:hover>a {
  background: transparent;
}

.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle:after {
  color: #fff;
}

body .wpml-ls-legacy-dropdown .wpml-ls-sub-menu, body .wpml-ls-legacy-dropdown a {
  border: none;
}

.wpml-ls-legacy-dropdown a {
  background-color: #ffffffd9;
  border-radius: 16px;
  padding-top: 10px;
  padding-bottom: 12px;
}

.wpml-ls-legacy-dropdown .wpml-ls-sub-menu a {
  padding-top: 10px;
  padding-bottom: 10px;
  padding-right: 10px;
  display: flex;
  margin-top: 5px;
}

select option {
  background-color: var(--e-global-color-primary);
  padding-left: 10px;
  text-indent: 10px;
}

.otgs-development-site-front-end, .wpml-ls-legacy-list-vertical.wpml-ls-statics-footer {
  display: none;
}

.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle:after {
  display: none;
}

.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle:before {
  position: absolute;
  content: "";
  display: inline-block;
  height: 8px;
  border-right: 2px solid var(--e-global-color-text);
  border-top: 2px solid var(--e-global-color-text);
  margin-right: 0.5em;
  right: 0;
  top: 50%;
  width: 8px;
  transform: translateY(-50%) rotate(135deg);
}

/* select elements site */
form.elementor-form select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  /*  background: url(http://cdn1.iconfinder.com/data/icons/cc_mono_icon_set/blacks/16x16/br_down.png) #ffffff00 no-repeat 98.5%;
  background: url(http://cdn1.iconfinder.com/data/icons/cc_mono_icon_set/blacks/16x16/br_down.png) #ffffff00 no-repeat calc(100% - 10px); */
}

form.elementor-form .elementor-select-wrapper .select-caret-down-wrapper svg {
  display: none;
}

form.elementor-form .select-caret-down-wrapper {
  position: absolute;
  content: "";
  display: inline-block;
  width: 0.6rem;
  height: 0.6rem;
  border-right: 0.2em solid var(--e-global-color-text);
  border-top: 0.2em solid var(--e-global-color-text);
  transform: rotate(135deg);
  margin-right: 0.5em;
  right: 0;
  top: 10px;
}

.elementor-widget.elementor-widget-n-accordion .e-n-accordion {
  border-bottom: 1px solid;
}

.elementor-element-71cedd80 {
  display: none !important;
}

body, html {
  scroll-behavior: smooth;
}

/* .stile-span h2{
    font-size:clamp(16px, 0.3vi + 15.2px, 20px);
    font-weight: var(--e-global-typography-text-font-weight);
} */

@media screen and (max-width: 1100px) {
  .e-n-menu>.e-n-menu-wrapper>.e-n-menu-heading>.e-n-menu-item>.e-n-menu-title.e-current {
    background-color: transparent !important;
  }

  .elementor-widget-container>.e-n-menu>.e-n-menu-wrapper>.e-n-menu-heading>.e-n-menu-item>.e-n-menu-title>.e-n-menu-title-container>span {
    color: var(--e-global-color-text);
  }
}